domains
POST /v1/domains/{domainId}/email-routing/rules
Add a forwarding rule.
പ്രമാണീകരണം
ബെയറർ ടോക്കണായി ഒരു API കീ അയയ്ക്കുക. കീക്ക് domains.dns.manage അനുമതി ഉണ്ടായിരിക്കണം; അനുമതിയില്ലാത്ത കീ 404 അല്ല, 403 നൽകി നിരസിക്കപ്പെടും.
ഈ എൻഡ്പോയിന്റ് ഓർഗനൈസേഷൻ ഐഡി സ്വീകരിക്കുന്നില്ല. നിങ്ങളുടെ കീ അത് ഉൾപ്പെടുന്ന ഓർഗനൈസേഷനെ ഇതിനകം തിരിച്ചറിയുന്നുണ്ട്, ഒപ്പം പ്രതികരണം അതിലേക്ക് പരിമിതപ്പെടുത്തിയിരിക്കുന്നു.
ശ്രമിച്ച് നോക്കൂ
കോണമ്ബ്രക്കറ്റുകളിലുള്ള ഏതും നിങ്ങളുടെ സ്വന്തം മൂല്യങ്ങൾ ഉപയോഗിച്ച് മാറ്റിസ്ഥാപിക്കുക, കീ പ്ലേസ്ഹോൾഡർ നിങ്ങളുടെ ഡാഷ്ബോർഡിലെ ഒരു കീ ഉപയോഗിച്ചും മാറ്റിസ്ഥാപിക്കുക.
curl -X POST https://api.zinndigital.com/v1/domains/{domainId}/email-routing/rules \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "matcher": <string>, "destinations": <string[]> }'സൈൻ ഇൻ ചെയ്തിട്ടുണ്ടോ? നിങ്ങളുടെ ഡാഷ്ബോർഡിലെ API കൺസോൾ നിങ്ങളുടെ യഥാർത്ഥ ഓർഗനൈസേഷൻ ഐഡിയും നിങ്ങളുടെ സ്വന്തം കീയും പൂരിപ്പിക്കുകയും, യഥാർത്ഥ പ്രതികരണം (response) നിങ്ങൾക്ക് കാണുന്നതിനായി ലൈവ് API-ലേക്ക് അഭ്യർത്ഥന (request) പ്രവർത്തിപ്പിക്കുകയും ചെയ്യുന്നു. ഈ എൻഡ്പോയിന്റ് API കൺസോളിൽ തുറക്കുക
വിശദാംശങ്ങൾ
Forward mail for one address to one or more verified destinations, or drop it. `drop` is a chosen behaviour and is never inferred from an empty destination list. Requires `domains.dns.manage`.
പരാമീറ്ററുകൾ
| പേര് | തരം | ആവശ്യമാണ് | എന്താണിത് |
|---|---|---|---|
domainId (path) | Uuid | അതെ | The domain's id. |
അഭ്യർത്ഥന ബോഡി
| പേര് | തരം | ആവശ്യമാണ് | എന്താണിത് |
|---|---|---|---|
matcher | string | അതെ | — |
destinations | string[] | അതെ | — |
action | EmailRoutingAction | ഇല്ല | `drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list. |
name | string | ഇല്ല | — |
enabled | boolean | ഇല്ല | — |
പ്രതികരണം
| പേര് | തരം | ആവശ്യമാണ് | എന്താണിത് |
|---|---|---|---|
rule_id | string | അതെ | — |
matcher | string | അതെ | The address this rule applies to. Empty for the catch-all. |
destinations | string[] | അതെ | — |
action | EmailRoutingAction | അതെ | `drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list. |
name | string | അതെ | — |
enabled | boolean | അതെ | — |
catch_all | boolean | അതെ | — |
unsupported | boolean | അതെ | `true` when the provider's rule uses a shape this API cannot express — a Worker target, say. Such a rule is shown read-only rather than hidden: hiding it would make this screen… |
ഈ എൻഡ്പോയിന്റ് നൽകാൻ കഴിയുന്ന പിഴവുകൾ
401 · 403 · 404 · 422 · 429 · 503